Bug 599258 - table borders on <simplelist> in html/html-single
table borders on <simplelist> in html/html-single
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 19:55 EDT by Darrin Mison
Modified: 2010-11-23 23:17 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 00:15:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
actual output (45.47 KB, image/png)
2010-06-02 19:55 EDT, Darrin Mison
no flags Details
expected output (44.40 KB, image/png)
2010-06-02 19:56 EDT, Darrin Mison
no flags Details

  None (edit)
Description Darrin Mison 2010-06-02 19:55:22 EDT
Description of problem:
Table borders are being drawn on the output of <simplelist> in the html & html-single formats.  PDF is fine.

Version-Release number of selected component (if applicable):
1.6.3

How reproducible:
everytime

Steps to Reproduce:
1.add a <simplelist> with a few <member>s
2.build html or html-single

  
Actual results:
borders are drawn - screenshot attached

Expected results:
borders are not drawn - screenshot attached

Additional info:
 * the table itself has borders=0
 * the css for simplelist.table has border-style: none (common.css)
 * but the css for th, td has border: 1px solid #000000;  (common.css)
Comment 1 Darrin Mison 2010-06-02 19:55:44 EDT
Created attachment 419213 [details]
actual output
Comment 2 Darrin Mison 2010-06-02 19:56:03 EDT
Created attachment 419214 [details]
expected output
Comment 3 Jeff Fearn 2010-06-02 20:04:04 EDT
(In reply to comment #0)
> Description of problem:
> Table borders are being drawn on the output of <simplelist> in the html &
> html-single formats.  PDF is fine.
> 
> Version-Release number of selected component (if applicable):
> 1.6.3
> 
> How reproducible:
> everytime
> 
> Steps to Reproduce:
> 1.add a <simplelist> with a few <member>s
> 2.build html or html-single
> 
> 
> Actual results:
> borders are drawn - screenshot attached
> 
> Expected results:
> borders are not drawn - screenshot attached
> 
> Additional info:
>  * the table itself has borders=0
>  * the css for simplelist.table has border-style: none (common.css)
>  * but the css for th, td has border: 1px solid #000000;  (common.css)    

Added publican list to CC.

I agree they should be consistent in all outputs, does anyone disagree with removing the borders in HTML?
Comment 4 Jeff Fearn 2010-06-08 21:49:08 EDT
No complaints, so everyone agrees!

Hid borders of simplelist in HTML.

Fixed in build 1.6.3-0.t97

Note You need to log in before you can comment on or make changes to this bug.